diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/energy/helper/generic-battery-model-helper.h ns-3.44/src/energy/helper/generic-battery-model-helper.h
--- ns-3.43/src/energy/helper/generic-battery-model-helper.h	2024-10-09 16:41:09.872655900 -0700
+++ ns-3.44/src/energy/helper/generic-battery-model-helper.h	2025-03-09 16:55:49.375371000 -0700
@@ -11,15 +11,15 @@
 
 #include "energy-model-helper.h"
 
-#include <ns3/generic-battery-model.h>
-#include <ns3/node.h>
+#include "ns3/generic-battery-model.h"
+#include "ns3/node.h"
 
 namespace ns3
 {
 
 /**
- * \ingroup energy
- * \brief Creates and assign an assortment of BatteryModels to Nodes.
+ * @ingroup energy
+ * @brief Creates and assign an assortment of BatteryModels to Nodes.
  *
  */
 class GenericBatteryModelHelper : public EnergySourceHelper
@@ -31,8 +31,8 @@
     /**
      * Sets one of the attributes of underlying EnergySource.
      *
-     * \param name Name of attribute to set.
-     * \param v Value of the attribute.
+     * @param name Name of attribute to set.
+     * @param v Value of the attribute.
      */
     void Set(std::string name, const AttributeValue& v) override;
 
@@ -41,17 +41,17 @@
      * node container. An energy source (Li-Ion battery) with default values
      * is used on each node.
      *
-     * \param c The node container
-     * \returns An EnergySourceContainer which contains all the EnergySources.
+     * @param c The node container
+     * @returns An EnergySourceContainer which contains all the EnergySources.
      */
     Ptr<energy::EnergySourceContainer> Install(NodeContainer c) const;
 
     /**
      * This function installs an energy source (battery) into a node.
      *
-     * \param node The node object.
-     * \param bm The battery model that will be install to the node.
-     * \returns A pointer to the energy source object used.
+     * @param node The node object.
+     * @param bm The battery model that will be install to the node.
+     * @returns A pointer to the energy source object used.
      */
     Ptr<energy::EnergySource> Install(Ptr<Node> node, energy::BatteryModel bm) const;
 
@@ -59,9 +59,9 @@
      * This function installs energy sources in a group of nodes in a
      * node container.
      *
-     * \param c The node container.
-     * \param bm The battery model that will be install to the nodes in the node container.
-     * \returns An EnergySourceContainer which contains all the EnergySources.
+     * @param c The node container.
+     * @param bm The battery model that will be install to the nodes in the node container.
+     * @returns An EnergySourceContainer which contains all the EnergySources.
      */
     energy::EnergySourceContainer Install(NodeContainer c, energy::BatteryModel bm) const;
 
@@ -71,9 +71,9 @@
      * depends on the connection of the cells defined by the user
      * (number of cells connected in series, number of cells connected in parallel).
      *
-     * \param energySource The energy source used.
-     * \param series The number of cells connected in series.
-     * \param parallel The number of cells connected in parallel.
+     * @param energySource The energy source used.
+     * @param series The number of cells connected in series.
+     * @param parallel The number of cells connected in parallel.
      */
     void SetCellPack(Ptr<energy::EnergySource> energySource,
                      uint8_t series,
@@ -86,9 +86,9 @@
      * depends on the connection of the cells defined by the user
      * (number of cells connected in series, number of cells connected in parallel).
      *
-     * \param energySourceContainer The energy source container used.
-     * \param series The number of cells connected in series.
-     * \param parallel The number of cells connected in parallel.
+     * @param energySourceContainer The energy source container used.
+     * @param series The number of cells connected in series.
+     * @param parallel The number of cells connected in parallel.
      */
     void SetCellPack(energy::EnergySourceContainer energySourceContainer,
                      uint8_t series,
@@ -101,8 +101,8 @@
      * the installation process (eg. installing EnergySource on set of nodes) is
      * implemented in the EnergySourceHelper base class.
      *
-     * \param node Pointer to node where the energy source is to be installed.
-     * \returns Pointer to the created EnergySource.
+     * @param node Pointer to node where the energy source is to be installed.
+     * @returns Pointer to the created EnergySource.
      */
     Ptr<energy::EnergySource> DoInstall(Ptr<Node> node) const override;
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/energy/helper/li-ion-energy-source-helper.h ns-3.44/src/energy/helper/li-ion-energy-source-helper.h
--- ns-3.43/src/energy/helper/li-ion-energy-source-helper.h	2024-10-09 16:41:09.872655900 -0700
+++ ns-3.44/src/energy/helper/li-ion-energy-source-helper.h	2025-03-09 16:55:49.375371000 -0700
@@ -19,8 +19,8 @@
 {
 
 /**
- * \ingroup energy
- * \brief Creates a LiIonEnergySource  object.
+ * @ingroup energy
+ * @brief Creates a LiIonEnergySource  object.
  *
  */
 class LiIonEnergySourceHelper : public EnergySourceHelper
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/energy/helper/rv-battery-model-helper.h ns-3.44/src/energy/helper/rv-battery-model-helper.h
--- ns-3.43/src/energy/helper/rv-battery-model-helper.h	2024-10-09 16:41:09.872655900 -0700
+++ ns-3.44/src/energy/helper/rv-battery-model-helper.h	2025-03-09 16:55:49.375371000 -0700
@@ -17,8 +17,8 @@
 {
 
 /**
- * \ingroup energy
- * \brief Creates a RvBatteryModel object.
+ * @ingroup energy
+ * @brief Creates a RvBatteryModel object.
  *
  */
 class RvBatteryModelHelper : public EnergySourceHelper
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/energy/model/basic-energy-harvester.cc ns-3.44/src/energy/model/basic-energy-harvester.cc
--- ns-3.43/src/energy/model/basic-energy-harvester.cc	2024-10-09 16:41:09.872655900 -0700
+++ ns-3.44/src/energy/model/basic-energy-harvester.cc	2025-03-09 16:55:49.375371000 -0700
@@ -36,7 +36,7 @@
             .AddAttribute("PeriodicHarvestedPowerUpdateInterval",
                           "Time between two consecutive periodic updates of the harvested power. "
                           "By default, the value is updated every 1 s",
-                          TimeValue(Seconds(1.0)),
+                          TimeValue(Seconds(1)),
                           MakeTimeAccessor(&BasicEnergyHarvester::SetHarvestedPowerUpdateInterval,
                                            &BasicEnergyHarvester::GetHarvestedPowerUpdateInterval),
                           MakeTimeChecker())
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/energy/model/basic-energy-harvester.h ns-3.44/src/energy/model/basic-energy-harvester.h
--- ns-3.43/src/energy/model/basic-energy-harvester.h	2024-10-09 16:41:09.872655900 -0700
+++ ns-3.44/src/energy/model/basic-energy-harvester.h	2025-03-09 16:55:49.375371000 -0700
@@ -26,7 +26,7 @@
 {
 
 /**
- * \ingroup energy
+ * @ingroup energy
  * BasicEnergyHarvester increases remaining energy stored in an associated
  * Energy Source. The BasicEnergyHarvester implements a simple model in which
  * the amount of power provided by the harvester varies over time according
@@ -40,15 +40,15 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return The object TypeId.
+     * @brief Get the type ID.
+     * @return The object TypeId.
      */
     static TypeId GetTypeId();
 
     BasicEnergyHarvester();
 
     /**
-     * \param updateInterval Energy harvesting update interval.
+     * @param updateInterval Energy harvesting update interval.
      *
      * BasicEnergyHarvester constructor function that sets the interval
      * between each update of the value of the power harvested by this
@@ -59,7 +59,7 @@
     ~BasicEnergyHarvester() override;
 
     /**
-     * \param updateInterval Energy harvesting update interval.
+     * @param updateInterval Energy harvesting update interval.
      *
      * This function sets the interval between each update of the value of the
      * power harvested by this energy harvester.
@@ -67,7 +67,7 @@
     void SetHarvestedPowerUpdateInterval(Time updateInterval);
 
     /**
-     * \returns The interval between each update of the harvested power.
+     * @returns The interval between each update of the harvested power.
      *
      * This function returns the interval between each update of the value of the
      * power harvested by this energy harvester.
@@ -75,8 +75,8 @@
     Time GetHarvestedPowerUpdateInterval() const;
 
     /**
-     * \param stream Random variable stream number.
-     * \returns The number of stream indices assigned by this model.
+     * @param stream Random variable stream number.
+     * @returns The number of stream indices assigned by this model.
      *
      * This function sets the stream number to be used by the random variable that
      * determines the amount of power that can be harvested by this energy harvester.
@@ -96,7 +96,7 @@
     void CalculateHarvestedPower();
 
     /**
-     * \returns m_harvestedPower The power currently provided by the Basic Energy Harvester.
+     * @returns m_harvestedPower The power currently provided by the Basic Energy Harvester.
      * Implements DoGetPower defined in EnergyHarvester.
      */
     double DoGetPower() const override;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/energy/model/basic-energy-source.cc ns-3.44/src/energy/model/basic-energy-source.cc
--- ns-3.43/src/energy/model/basic-energy-source.cc	2024-10-09 16:41:09.872655900 -0700
+++ ns-3.44/src/energy/model/basic-energy-source.cc	2025-03-09 16:55:49.375371000 -0700
@@ -55,7 +55,7 @@
                           MakeDoubleChecker<double>())
             .AddAttribute("PeriodicEnergyUpdateInterval",
                           "Time between two consecutive periodic energy updates.",
-                          TimeValue(Seconds(1.0)),
+                          TimeValue(Seconds(1)),
                           MakeTimeAccessor(&BasicEnergySource::SetEnergyUpdateInterval,
                                            &BasicEnergySource::GetEnergyUpdateInterval),
                           MakeTimeChecker())
@@ -69,7 +69,7 @@
 BasicEnergySource::BasicEnergySource()
 {
     NS_LOG_FUNCTION(this);
-    m_lastUpdateTime = Seconds(0.0);
+    m_lastUpdateTime = Seconds(0);
     m_depleted = false;
 }
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/energy/model/basic-energy-source.h ns-3.44/src/energy/model/basic-energy-source.h
--- ns-3.43/src/energy/model/basic-energy-source.h	2024-10-09 16:41:09.872655900 -0700
+++ ns-3.44/src/energy/model/basic-energy-source.h	2025-03-09 16:55:49.375371000 -0700
@@ -21,7 +21,7 @@
 {
 
 /**
- * \ingroup energy
+ * @ingroup energy
  * BasicEnergySource decreases/increases remaining energy stored in itself in
  * linearly.
  *
@@ -30,36 +30,36 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return The object TypeId.
+     * @brief Get the type ID.
+     * @return The object TypeId.
      */
     static TypeId GetTypeId();
     BasicEnergySource();
     ~BasicEnergySource() override;
 
     /**
-     * \return Initial energy stored in energy source, in Joules.
+     * @return Initial energy stored in energy source, in Joules.
      *
      * Implements GetInitialEnergy.
      */
     double GetInitialEnergy() const override;
 
     /**
-     * \returns Supply voltage at the energy source.
+     * @returns Supply voltage at the energy source.
      *
      * Implements GetSupplyVoltage.
      */
     double GetSupplyVoltage() const override;
 
     /**
-     * \return Remaining energy in energy source, in Joules
+     * @return Remaining energy in energy source, in Joules
      *
      * Implements GetRemainingEnergy.
      */
     double GetRemainingEnergy() override;
 
     /**
-     * \returns Energy fraction.
+     * @returns Energy fraction.
      *
      * Implements GetEnergyFraction.
      */
@@ -71,7 +71,7 @@
     void UpdateEnergySource() override;
 
     /**
-     * \param initialEnergyJ Initial energy, in Joules
+     * @param initialEnergyJ Initial energy, in Joules
      *
      * Sets initial energy stored in the energy source. Note that initial energy
      * is assumed to be set before simulation starts and is set only once per
@@ -80,21 +80,21 @@
     void SetInitialEnergy(double initialEnergyJ);
 
     /**
-     * \param supplyVoltageV Supply voltage at the energy source, in Volts.
+     * @param supplyVoltageV Supply voltage at the energy source, in Volts.
      *
      * Sets supply voltage of the energy source.
      */
     void SetSupplyVoltage(double supplyVoltageV);
 
     /**
-     * \param interval Energy update interval.
+     * @param interval Energy update interval.
      *
      * This function sets the interval between each energy update.
      */
     void SetEnergyUpdateInterval(Time interval);
 
     /**
-     * \returns The interval between each energy update.
+     * @returns The interval between each energy update.
      */
     Time GetEnergyUpdateInterval() const;
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/energy/model/device-energy-model-container.h ns-3.44/src/energy/model/device-energy-model-container.h
--- ns-3.43/src/energy/model/device-energy-model-container.h	2024-10-09 16:41:09.872655900 -0700
+++ ns-3.44/src/energy/model/device-energy-model-container.h	2025-03-09 16:55:49.375371000 -0700
@@ -22,14 +22,14 @@
 {
 
 /**
- * \ingroup energy
- * \brief Holds a vector of ns3::DeviceEnergyModel pointers.
+ * @ingroup energy
+ * @brief Holds a vector of ns3::DeviceEnergyModel pointers.
  *
  * DeviceEnergyModelContainer returns a list of DeviceEnergyModel pointers
  * installed on a node. Users can use this list to access DeviceEnergyModel
  * objects to obtain total device energy consumption on a node easily.
  *
- * \see NetDeviceContainer
+ * @see NetDeviceContainer
  *
  */
 class DeviceEnergyModelContainer
@@ -45,7 +45,7 @@
     DeviceEnergyModelContainer();
 
     /**
-     * \param model Pointer to a DeviceEnergyModel.
+     * @param model Pointer to a DeviceEnergyModel.
      *
      * Creates a DeviceEnergyModelContainer with exactly one DeviceEnergyModel
      * previously instantiated.
@@ -53,7 +53,7 @@
     DeviceEnergyModelContainer(Ptr<DeviceEnergyModel> model);
 
     /**
-     * \param modelName Name of DeviceEnergyModel.
+     * @param modelName Name of DeviceEnergyModel.
      *
      * Creates an DeviceEnergyModelContainer with exactly one DeviceEnergyModel
      * previously instantiated and assigned a name using the Object name service.
@@ -62,13 +62,13 @@
     DeviceEnergyModelContainer(std::string modelName);
 
     /**
-     * \param a A DeviceEnergyModelContainer.
-     * \param b Another DeviceEnergyModelContainer.
+     * @param a A DeviceEnergyModelContainer.
+     * @param b Another DeviceEnergyModelContainer.
      *
      * Creates a DeviceEnergyModelContainer by concatenating DeviceEnergyModelContainer b
      * to DeviceEnergyModelContainer a.
      *
-     * \note Can be used to concatenate 2 Ptr<DeviceEnergyModel> directly. C++
+     * @note Can be used to concatenate 2 Ptr<DeviceEnergyModel> directly. C++
      * will be calling DeviceEnergyModelContainer constructor with Ptr<DeviceEnergyModel>
      * first.
      */
@@ -76,64 +76,64 @@
                                const DeviceEnergyModelContainer& b);
 
     /**
-     * \brief Get an iterator which refers to the first DeviceEnergyModel pointer
+     * @brief Get an iterator which refers to the first DeviceEnergyModel pointer
      * in the container.
      *
-     * \returns An iterator which refers to the first DeviceEnergyModel in container.
+     * @returns An iterator which refers to the first DeviceEnergyModel in container.
      *
      * DeviceEnergyModels can be retrieved from the container in two ways. First,
      * directly by an index into the container, and second, using an iterator.
      * This method is used in the iterator method and is typically used in a
      * for-loop to run through the DeviceEnergyModels.
      *
-     * \code
+     * @code
      *   DeviceEnergyModelContainer::Iterator i;
      *   for (i = container.Begin (); i != container.End (); ++i)
      *     {
      *       (*i)->method ();  // some DeviceEnergyModel method
      *     }
-     * \endcode
+     * @endcode
      */
     Iterator Begin() const;
 
     /**
-     * \brief Get an iterator which refers to the last DeviceEnergyModel pointer
+     * @brief Get an iterator which refers to the last DeviceEnergyModel pointer
      * in the container.
      *
-     * \returns An iterator which refers to the last DeviceEnergyModel in container.
+     * @returns An iterator which refers to the last DeviceEnergyModel in container.
      *
      * DeviceEnergyModels can be retrieved from the container in two ways. First,
      * directly by an index into the container, and second, using an iterator.
      * This method is used in the iterator method and is typically used in a
      * for-loop to run through the DeviceEnergyModels.
      *
-     * \code
+     * @code
      *   DeviceEnergyModelContainer::Iterator i;
      *   for (i = container.Begin (); i != container.End (); ++i)
      *     {
      *       (*i)->method ();  // some DeviceEnergyModel method
      *     }
-     * \endcode
+     * @endcode
      */
     Iterator End() const;
 
     /**
-     * \brief Get the number of Ptr<DeviceEnergyModel> stored in this container.
+     * @brief Get the number of Ptr<DeviceEnergyModel> stored in this container.
      *
-     * \returns The number of Ptr<DeviceEnergyModel> stored in this container.
+     * @returns The number of Ptr<DeviceEnergyModel> stored in this container.
      */
     uint32_t GetN() const;
 
     /**
-     * \brief Get the i-th Ptr<DeviceEnergyModel> stored in this container.
+     * @brief Get the i-th Ptr<DeviceEnergyModel> stored in this container.
      *
-     * \param i Index of the requested Ptr<DeviceEnergyModel>.
-     * \returns The requested Ptr<DeviceEnergyModel>.
+     * @param i Index of the requested Ptr<DeviceEnergyModel>.
+     * @returns The requested Ptr<DeviceEnergyModel>.
      */
     Ptr<DeviceEnergyModel> Get(uint32_t i) const;
 
     /**
-     * \param container Another DeviceEnergyModelContainer.
+     * @param container Another DeviceEnergyModelContainer.
      *
      * Appends the contents of another DeviceEnergyModelContainer to the end of
      * this DeviceEnergyModelContainer.
@@ -141,22 +141,22 @@
     void Add(DeviceEnergyModelContainer container);
 
     /**
-     * \brief Append a single Ptr<DeviceEnergyModel> to the end of this container.
+     * @brief Append a single Ptr<DeviceEnergyModel> to the end of this container.
      *
-     * \param model Pointer to an DeviceEnergyModel.
+     * @param model Pointer to an DeviceEnergyModel.
      */
     void Add(Ptr<DeviceEnergyModel> model);
 
     /**
-     * \brief Append a single Ptr<DeviceEnergyModel> referred to by its object
+     * @brief Append a single Ptr<DeviceEnergyModel> referred to by its object
      * name to the end of this container.
      *
-     * \param modelName Name of DeviceEnergyModel object.
+     * @param modelName Name of DeviceEnergyModel object.
      */
     void Add(std::string modelName);
 
     /**
-     * \brief Removes all elements in the container.
+     * @brief Removes all elements in the container.
      */
     void Clear();
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/energy/model/device-energy-model.h ns-3.44/src/energy/model/device-energy-model.h
--- ns-3.43/src/energy/model/device-energy-model.h	2024-10-09 16:41:09.872655900 -0700
+++ ns-3.44/src/energy/model/device-energy-model.h	2025-03-09 16:55:49.375371000 -0700
@@ -22,8 +22,8 @@
 class EnergySource;
 
 /**
- * \ingroup energy
- * \brief Base class for device energy models.
+ * @ingroup energy
+ * @brief Base class for device energy models.
  *
  * A device energy model should represent the energy consumption behavior of a
  * specific device. It will update remaining energy stored in the EnergySource
@@ -42,15 +42,15 @@
 
   public:
     /**
-     * \brief Get the type ID.
-     * \return The object TypeId.
+     * @brief Get the type ID.
+     * @return The object TypeId.
      */
     static TypeId GetTypeId();
     DeviceEnergyModel();
     ~DeviceEnergyModel() override;
 
     /**
-     * \param source Pointer to energy source installed on node.
+     * @param source Pointer to energy source installed on node.
      *
      * This function sets the pointer to energy source installed on node. Should
      * be called only by DeviceEnergyModel helper classes.
@@ -58,14 +58,14 @@
     virtual void SetEnergySource(Ptr<EnergySource> source) = 0;
 
     /**
-     * \returns Total energy consumption of the device.
+     * @returns Total energy consumption of the device.
      *
      * DeviceEnergyModel records its own energy consumption during simulation.
      */
     virtual double GetTotalEnergyConsumption() const = 0;
 
     /**
-     * \param newState New state the device is in.
+     * @param newState New state the device is in.
      *
      * DeviceEnergyModel is a state based model. This function is implemented by
      * all child of DeviceEnergyModel to change the model's state. States are to
@@ -74,7 +74,7 @@
     virtual void ChangeState(int newState) = 0;
 
     /**
-     * \returns Current draw of the device, in Ampere.
+     * @returns Current draw of the device, in Ampere.
      *
      * This function returns the current draw at the device in its current state.
      * This function is called from the EnergySource to obtain the total current
@@ -102,7 +102,7 @@
 
   private:
     /**
-     * \returns 0.0 as the current value, in Ampere.
+     * @returns 0.0 as the current value, in Ampere.
      *
      * Child class does not have to implement this method if current draw for its
      * states are not know. This default method will always return 0.0A. For the
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/energy/model/energy-harvester.h ns-3.44/src/energy/model/energy-harvester.h
--- ns-3.43/src/energy/model/energy-harvester.h	2024-10-09 16:41:09.872655900 -0700
+++ ns-3.44/src/energy/model/energy-harvester.h	2025-03-09 16:55:49.375371000 -0700
@@ -27,17 +27,17 @@
 class EnergySource;
 
 /**
- * \ingroup energy
+ * @ingroup energy
  *
- * \brief Energy harvester base class.
+ * @brief Energy harvester base class.
  */
 
 class EnergyHarvester : public Object
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return The object TypeId.
+     * @brief Get the type ID.
+     * @return The object TypeId.
      */
     static TypeId GetTypeId();
 
@@ -46,14 +46,14 @@
     ~EnergyHarvester() override;
 
     /**
-     * \brief Sets pointer to node containing this EnergyHarvester.
+     * @brief Sets pointer to node containing this EnergyHarvester.
      *
-     * \param node Pointer to node containing this EnergyHarvester.
+     * @param node Pointer to node containing this EnergyHarvester.
      */
     void SetNode(Ptr<Node> node);
 
     /**
-     * \returns Pointer to node containing this EnergyHarvester.
+     * @returns Pointer to node containing this EnergyHarvester.
      *
      * When a subclass needs to get access to the underlying node base class to
      * print the nodeId for example, it can invoke this method.
@@ -61,7 +61,7 @@
     Ptr<Node> GetNode() const;
 
     /**
-     * \param source Pointer to energy source to which this EnergyHarvester is
+     * @param source Pointer to energy source to which this EnergyHarvester is
      * installed.
      *
      * This function sets the pointer to the energy source connected to the energy
@@ -70,7 +70,7 @@
     void SetEnergySource(Ptr<EnergySource> source);
 
     /**
-     * \returns Pointer to energy source connected to the harvester.
+     * @returns Pointer to energy source connected to the harvester.
      *
      * When a subclass needs to get access to the connected energy source,
      * it can invoke this method.
@@ -78,7 +78,7 @@
     Ptr<EnergySource> GetEnergySource() const;
 
     /**
-     * \returns Amount of power currently provided by the harvester.
+     * @returns Amount of power currently provided by the harvester.
      *
      * This method is called by the energy source connected to the harvester in order
      * to determine the amount of energy that the harvester provided since last update.
@@ -100,7 +100,7 @@
      * This method should be used to connect the logic behind the particular implementation
      * of the energy harvester with the energy source.
      *
-     * \returns Amount of power currently provided by the harvester.
+     * @returns Amount of power currently provided by the harvester.
      */
     virtual double DoGetPower() const;
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/energy/model/energy-source.cc ns-3.44/src/energy/model/energy-source.cc
--- ns-3.43/src/energy/model/energy-source.cc	2024-10-09 16:41:09.872655900 -0700
+++ ns-3.44/src/energy/model/energy-source.cc	2025-03-09 16:55:49.375371000 -0700
@@ -13,7 +13,7 @@
 
 #include "energy-source.h"
 
-#include <ns3/log.h>
+#include "ns3/log.h"
 
 namespace ns3
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/energy/model/energy-source.h ns-3.44/src/energy/model/energy-source.h
--- ns-3.43/src/energy/model/energy-source.h	2024-10-09 16:41:09.872655900 -0700
+++ ns-3.44/src/energy/model/energy-source.h	2025-03-09 16:55:49.375371000 -0700
@@ -30,19 +30,19 @@
 class EnergyHarvester;
 
 /**
- * \defgroup energy Energy Models
+ * @defgroup energy Energy Models
  */
 
 /**
- * \ingroup energy
- * \ingroup tests
- * \defgroup energy-tests Energy module tests
+ * @ingroup energy
+ * @ingroup tests
+ * @defgroup energy-tests Energy module tests
  */
 
 /**
- * \ingroup energy
+ * @ingroup energy
  *
- * \brief Energy source base class.
+ * @brief Energy source base class.
  *
  * This is the base class for energy sources. Energy sources keep track of
  * remaining energy. Device energy models will be updating the remaining energy
@@ -77,15 +77,15 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return The object TypeId.
+     * @brief Get the type ID.
+     * @return The object TypeId.
      */
     static TypeId GetTypeId();
     EnergySource();
     ~EnergySource() override;
 
     /**
-     * \returns Supply voltage of the energy source.
+     * @returns Supply voltage of the energy source.
      *
      * Set method is to be defined in child class only if necessary. For sources
      * with a fixed supply voltage, set method is not needed.
@@ -93,7 +93,7 @@
     virtual double GetSupplyVoltage() const = 0;
 
     /**
-     * \returns Initial energy (capacity) of the energy source.
+     * @returns Initial energy (capacity) of the energy source.
      *
      * Set method is to be defined in child class only if necessary. For sources
      * with a fixed initial energy (energy capacity), set method is not needed.
@@ -101,12 +101,12 @@
     virtual double GetInitialEnergy() const = 0;
 
     /**
-     * \returns Remaining energy at the energy source.
+     * @returns Remaining energy at the energy source.
      */
     virtual double GetRemainingEnergy() = 0;
 
     /**
-     * \return Energy fraction = remaining energy / initial energy [0, 1]
+     * @return Energy fraction = remaining energy / initial energy [0, 1]
      *
      * This function returns the percentage of energy left in the energy source.
      */
@@ -120,14 +120,14 @@
     virtual void UpdateEnergySource() = 0;
 
     /**
-     * \brief Sets pointer to node containing this EnergySource.
+     * @brief Sets pointer to node containing this EnergySource.
      *
-     * \param node Pointer to node containing this EnergySource.
+     * @param node Pointer to node containing this EnergySource.
      */
     void SetNode(Ptr<Node> node);
 
     /**
-     * \returns Pointer to node containing this EnergySource.
+     * @returns Pointer to node containing this EnergySource.
      *
      * When a subclass needs to get access to the underlying node base class to
      * print the nodeId for example, it can invoke this method.
@@ -135,7 +135,7 @@
     Ptr<Node> GetNode() const;
 
     /**
-     * \param deviceEnergyModelPtr Pointer to device energy model.
+     * @param deviceEnergyModelPtr Pointer to device energy model.
      *
      * This function appends a device energy model to the end of a list of
      * DeviceEnergyModelInfo structs.
@@ -143,14 +143,14 @@
     void AppendDeviceEnergyModel(Ptr<DeviceEnergyModel> deviceEnergyModelPtr);
 
     /**
-     * \param tid TypeId of the DeviceEnergyModel we are searching for.
-     * \returns List of pointers to DeviceEnergyModel objects installed on node.
+     * @param tid TypeId of the DeviceEnergyModel we are searching for.
+     * @returns List of pointers to DeviceEnergyModel objects installed on node.
      */
     DeviceEnergyModelContainer FindDeviceEnergyModels(TypeId tid);
 
     /**
-     * \param name name of the DeviceEnergyModel we are searching for.
-     * \returns List of pointers to DeviceEnergyModel objects installed on node.
+     * @param name name of the DeviceEnergyModel we are searching for.
+     * @returns List of pointers to DeviceEnergyModel objects installed on node.
      */
     DeviceEnergyModelContainer FindDeviceEnergyModels(std::string name);
 
@@ -169,7 +169,7 @@
     void DisposeDeviceModels();
 
     /**
-     * \param energyHarvesterPtr Pointer to energy harvester.
+     * @param energyHarvesterPtr Pointer to energy harvester.
      *
      * This function connect an energy harvester to the energy source. After the
      * execution of this method, the pointer to the energy harvester is appended
@@ -209,7 +209,7 @@
 
   protected:
     /**
-     * \returns Total current draw from all DeviceEnergyModels.
+     * @returns Total current draw from all DeviceEnergyModels.
      */
     double CalculateTotalCurrent();
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/energy/model/generic-battery-model.cc ns-3.44/src/energy/model/generic-battery-model.cc
--- ns-3.43/src/energy/model/generic-battery-model.cc	2024-10-09 16:41:09.872655900 -0700
+++ ns-3.44/src/energy/model/generic-battery-model.cc	2025-03-09 16:55:49.375371000 -0700
@@ -11,11 +11,11 @@
 
 #include "generic-battery-model.h"
 
-#include <ns3/assert.h>
-#include <ns3/double.h>
-#include <ns3/log.h>
-#include <ns3/simulator.h>
-#include <ns3/trace-source-accessor.h>
+#include "ns3/assert.h"
+#include "ns3/double.h"
+#include "ns3/log.h"
+#include "ns3/simulator.h"
+#include "ns3/trace-source-accessor.h"
 
 #include <cmath>
 
@@ -88,7 +88,7 @@
                           MakeDoubleChecker<double>())
             .AddAttribute("PeriodicEnergyUpdateInterval",
                           "Time between two consecutive periodic energy updates.",
-                          TimeValue(Seconds(1.0)),
+                          TimeValue(Seconds(1)),
                           MakeTimeAccessor(&GenericBatteryModel::SetEnergyUpdateInterval,
                                            &GenericBatteryModel::GetEnergyUpdateInterval),
                           MakeTimeChecker())
@@ -114,7 +114,7 @@
       m_currentFiltered(0),
       m_entn(0),
       m_expZone(0),
-      m_lastUpdateTime(Seconds(0.0))
+      m_lastUpdateTime()
 {
     NS_LOG_FUNCTION(this);
 }
